.sect-about-me {

    @media(max-width:320px), (min-width: 320px) {
        & {
            padding-top: 30px;
        }
    }

    @media (min-width: 768px) {
        & {
            padding-top: 93px;
            padding-bottom: 93px;
        }
    }
}

.sect-about-me__block {
    width: 100%;
    position: relative;

    @media (max-width:320px),
    (min-width: 320px) {
        & {
            &::after {
                content: '';
                position: absolute;
                bottom: 0;
                right: 0;
                width: 100%;
                height: 197px;
                background-color: $about_me-bg-color;
                z-index: -1;
            }
        }
    }

    @media (min-width: 1200px) {

        & {
            &::after {
                height: 100%;
                background: linear-gradient(to right, transparent 0% 80%, $about_me-bg-color 80% 100%)
            }
        }
    }

}

.sect-about-me__wrap {
    @include positionELemantFlex(center, stretch);

    @media(max-width:320px), (min-width: 320px) {
        & {
            flex-direction: column;
            gap: 30px;
        }
    }

    @media (min-width: 1200px) {
        & {
            flex-direction: row;
            gap: 70px
        }
    }
}

.sect-about-me__text {
    @include fontSizWeight(62px, 75px, 300);

    & span {
        font-weight: 800;
    }

    @media(max-width:320px), (min-width: 320px) {
        & {
            @include fontSize(30px, 35px);
            text-align: center;
        }
    }

    @media (min-width: 768px) {
        & {
            @include fontSize(52px, 63px)
        }
    }

    @media (min-width: 1200px) {
        & {
            @include fontSize(61px, 71px);
            text-align: left;
        }
    }
}

.sect-about-me__mess {
    @include positionELemantFlex(center, flex-end);
    flex-direction: column;
    gap: 30px;
    position: relative;
    background-color: $about_me-bg-color;


    @media(max-width:320px), (min-width: 320px) {
        & {
            padding-top: 40px;
            padding-bottom: 40px;
            width: 100%;
        }
    }

    @media (min-width: 1200px) {
        & {
            padding-top: 60px;
            padding-bottom: 60px;
            width: unset;
        }
    }
}

.sect-about-me__title {
    @include fontSize(32px, 32px);
    text-transform: uppercase;
    color: $color-about_me-messanger;
    text-align: right;
}

.sect-about-me__list-mess {
    margin-left: 94px;
    @include positionELemantFlex(space-between, flex-end);
    gap: 20px;
}